****Kapitel 2: Multiple lineare Regressionsanalyse****.
****Dr. Sabine Fromm, Mrz 2010.


**************Berechnung der Variablen fr die Regressionsanalyse.

freq /var v908 v914 v919 v924 v931 v932 v937.

missing values v908 to v937 (9).
freq /var v908 v914 v919 v924 v931 v932 v937.

****berechnen der abhngigen Variable - hohe Werte reprsentieren starke Ausprgung der Disposition.

recode v908  v919 v924 v931 v932 v937 (1= 2) (2= 1) (else = copy) into v908_n  v919_n v924_n v931_n v932_n v937_n .
recode v914 (else = copy) into v914_n.
missing values v908_n  v914_n v919_n v924_n v931_n v932_n v937_n (9).
value labels v908_n  v919_n v924_n v931_n v932_n v937_n 1 'nein' 2 'ja'.

freq /var v908_n  v914_n v919_n v924_n v931_n v932_n v937_n .

RELIABILITY
  /VARIABLES=v908_n  v914_n  v919_n   v924_n  v931_n  v932_n  v937_n
  /FORMAT=NOLABELS
  /SCALE(ALPHA)=ALL/MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE CORR
  /SUMMARY=TOTAL .



compute auto = v908_n + v914_n + v919_n +  v924_n + v931_n + v932_n + v937_n.

corr var = auto v908_n v914_n  v919_n v924_n v931_n v932_n v937_n .

***speichern.

*********************************berechnen der prdiktoren.

***schulabschluss des befragten.
freq /var v306 v160 v206.
recode v306 v160 v206 (7, 0, 8 = sysmis) (1, 2, 3 = 0) (4, 5, 6 = 1) into bild_bef bild_m bild_v.
variable labes bild_bef 'Bildungsabschluss Befragter (dich.)' /bild_m 'Bildungsabschluss Mutter (dich.)' / bild_v 'Bildungsabschluss Vater (dich.)'.
value labels bild_bef bild_m bild_v 0 'hchst. Hauptschulabschluss' 1 'mind. mittlere Reife'.
freq /var bild_bef bild_m bild_v.

***berufsttigkeit der mutter.
freq /var v172.
recode v172 (1 = 0) (2,3 = 1) into v172_n.
value labels v172_n 0 'war nie berufsttig' 1 'mind. teilweise berufsttig'.
freq /var v172_n.



*********alter.

freq /var v107.
missing values v107 (46, 57).
compute alter = 92-v107.
freq /var alter.

***geschlecht. 
freq /var v108.

recode v108 (2 = 0) (1 = 1) into sex.
value labels sex 0 'weiblich' 1 'mnnlich'.
freq var sex.

*****Lebenszufriedenheit - hohe Werte bedeuten hohe Zufriedenheit.

freq /var v906 v909 v915 v920 v926 v933 .
missing values v906 to v937(9).
fre v906 v909 v915 v920 v926 v933 .

corr var = v906 v909 v915 v920 v926 v933 .

recode v906 v909 v915 v920 v926 v933 (1=2) (2=1) (else = copy) into v906_n v909_n v915_n v920_n v926_n v933_n .
recode v909_n v920_n v926_n (1=2) (2=1) (else = copy).
freq /var v906_n v909_n v915_n v920_n v926_n v933_n .
missing values v906_n v909_n v915_n v920_n v926_n v933_n (9).
freq /var v906_n v909_n v915_n v920_n v926_n v933_n .
cro tables = v906 by v906_n /v909 by v909_n / v915 by v915_n /v920 by v920_n /v926 by v926_n / v933 by v933_n.
corr var = v906_n v909 v915_n v920_n v926_n v933_n .

RELIABILITY
  /VARIABLES=v909_n v920_n v926_n v906_n v915_n v933_n
  /FORMAT=NOLABELS
  /SCALE(ALPHA)=ALL/MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE CORR
  /SUMMARY=TOTAL .

compute lebzuf = v909_n + v920_n + v926_n  + v906_n + v915_n + v933_n.
freq /var lebzuf.


****************Erziehung Herkunftsfamilie.

freq /var v219 to v227.
recode v219 to v227 (9 = sysmis) (else = copy) into v219_n v220_n v221_n v222_n v223_n v224_n v225_n v226_n v227_n.
freq /var v219_n to v227_n.

corr var = v219_n v220_n v221_n v222_n v223_n v224_n v225_n v226_n v227_n.

***recodieren, so dass hohe Werte ein hohes Ma an autoritrer Erziehung reprsentieren UND semantisches drehen negativ ladender Variablen.
recode v220_n v221_n v223_n v224_n v226_n v227_n (1=5) (2=4) (3=3) (4=2) (5=1).
corr var = v219_n v220_n v221_n v222_n v223_n v224_n v225_n v226_n v227_n.

RELIABILITY
  /VARIABLES=v219_n v220_n v221_n v222_n v223_n v224_n v225_n v226_n v227_n
  /FORMAT=NOLABELS
  /SCALE(ALPHA)=ALL/MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE CORR
  /SUMMARY=TOTAL .

compute fam_erz = v219_n + v220_n + v221_n + v222_n + v223_n + v224_n + v225_n + v226_n + v227_n.
freq /var fam_erz.


*******************Regressionsanalyse*************************.


***********************Modell 1 - method = stepwise.

REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING pairwise 
  /STATISTICS COEFF OUTS R ANOVA ZPP COLLIN TOL CHANGE 
  /CRITERIA=PIN(.10) POUT(.15) 
  /NOORIGIN 
  /DEPENDENT auto 
  /METHOD= stepwise bild_bef bild_m bild_v sex fam_erz alter lebzuf  
  /RESIDUALS DURBIN HIST(ZRESID) NORM(ZRESID). 


********Modell 2 - method = enter.

REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING pairwise 
  /STATISTICS COEFF OUTS R ANOVA ZPP COLLIN TOL CHANGE 
  /CRITERIA=PIN(.10) POUT(.15) 
  /NOORIGIN 
  /DEPENDENT auto 
  /METHOD= enter bild_bef bild_m bild_v sex fam_erz alter lebzuf  
  /RESIDUALS DURBIN HIST(ZRESID) NORM(ZRESID). 


************minimales und maximal Varianzaufklrungspotenzial.

****max bild min alter.

REGRESSION
  /MISSING pairwise
  /STATISTICS COEFF OUTS R COLLIN TOL CHANGE 
  /CRITERIA=PIN(.10) POUT(.15)
  /NOORIGIN
  /DEPENDENT auto
  /METHOD= enter bild_bef / enter sex / enter alter 
  / RESIDUALS DURBIN.


****max sex min bild.

REGRESSION
  /MISSING pairwise
  /STATISTICS COEFF OUTS R COLLIN TOL CHANGE 
  /CRITERIA=PIN(.10) POUT(.15)
  /NOORIGIN
  /DEPENDENT auto
  /METHOD= enter sex/ enter alter /enter bild_bef
  / RESIDUALS DURBIN.

*** max alter min sex.

REGRESSION
  /MISSING pairwise
  /STATISTICS COEFF OUTS R COLLIN TOL CHANGE 
  /CRITERIA=PIN(.10) POUT(.15)
  /NOORIGIN
  /DEPENDENT auto
  /METHOD= enter alter/ enter bild_bef /enter sex
  / RESIDUALS DURBIN.


*********Speichern von Schtzwerten.


REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING pairwise 
  /STATISTICS COEFF OUTS CI R ANOVA ZPP COLLIN TOL CHANGE 
  /CRITERIA=PIN(.10) POUT(.15) 
  /NOORIGIN 
  /DEPENDENT auto 
  /METHOD= stepwise bild_bef bild_m bild_v sex fam_erz alter lebzuf  
  /RESIDUALS DURBIN HIST(ZRESID) NORM(ZRESID) 
  /SAVE PRED RESID mahal DFBETA SDBETA .

****Auflisten von Fllen.
list var = v005 auto pre_1 res_1 /cases = from 1 to 25.

