****Kapitel 1: Faktoren- und Reliabilittsanalyse****.
****Dr. Sabine Fromm, Mrz 2010.

***Rekodierung der Variablen.

RECODE v135 to v151
(1=5) (2=4) (3=3) (4=2) (5=1) (99 = sysmis).
EXECUTE.


***Faktorenanalyse Modell 1 - Eigenwertkriterium.

FACTOR
  /VARIABLES v135 v136 v137 v138 v139 v140 v141 v142 v143 
   v144 v145 v146 v147 v148 v149 v150 v151
  /MISSING LISTWISE
  /ANALYSIS v135 v136 v137 v138 v139 v140 v141 v142 v143 
   v144 v145 v146 v147 v148 v149 v150 v151
  /PRINT UNIVARIATE INITIAL CORRELATION SIG KMO EXTRACTION 
   ROTATION
  /FORMAT SORT BLANK(.30) 
  /PLOT ROTATION
  /CRITERIA MINEIGEN(1) ITERATE(25)
  /EXTRACTION PC
  /CRITERIA ITERATE(25)
  /ROTATION VARIMAX
  /SAVE REG(ALL).

***Faktorenanalyse Modell 2 - Lsung mit 3 Faktoren.
FACTOR
  /VARIABLES v135 v136 v137 v138 v139 v140 v141 v142 v143
   v144 v145 v146 v147 v148 v149 v150 v151
  /MISSING listwise
  /ANALYSIS v135 v136 v137 v138 v139 v140 v141 v142 v143
   v144 v145 v146 v147 v148 v149 v150 v151
  /PRINT UNIVARIATE INITIAL CORRELATION SIG KMO EXTRACTION
   ROTATION
  /FORMAT SORT BLANK(.30)
  /PLOT eigen ROTATION(1,2)
  /CRITERIA factors(3) ITERATE(25)
  /EXTRACTION PC/ROTATION VARIMAX
  /SAVE REG(ALL)
  /METHOD=CORRELATION .

***Reliabilittsanalysen.

**Faktor 1 - Vereinbarkeit Beruf/Privatleben.
RELIABILITY
  /VARIABLES=v135 v142 v143 v144
  /FORMAT=NOLABELS
  /SCALE(vereinb)=ALL/MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE CORR
  /SUMMARY=TOTAL.

**Faktor 2 - Extrinsische Motivation.
RELIABILITY
  /VARIABLES=v138 v141 v150
  /FORMAT=NOLABELS
  /SCALE(extrins)=ALL/MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE
  /SUMMARY=TOTAL .

**Faktor 3 - Intrinsische Motivation.
RELIABILITY
  /VARIABLES=v139 v140 v145 v146
  /FORMAT=NOLABELS
  /SCALE(intrins)=ALL/MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE SCALE
  /SUMMARY=TOTAL .

***Berechnung der Summenscores.

COMPUTE vereinb = v142+v143+v135+v144.
COMPUTE extrins = v150+v141+v138.
COMPUTE intrins = v139+v140+v145+v146.
exec.

****Korrelation  regressionsanalytisch erzeugte Faktorscores *Summenscores .
CORRELATIONS
  /VARIABLES=fac1_1 fac2_1 fac3_1 job extrins intrins
  /PRINT=TWOTAIL NOSIG
  /MISSING=listwise.
